1. Fee Estimate
v2.1 (Sandbox)
  • v2.1 (Production)
  • v2.1 (Sandbox)
  • v2.0 (Sandbox)
  • v1.0 (Deprecated)
  • API
    • Getting Started
    • Account Setup For PSP
    • Account Setup For Direct Client
    • Idempotent Requests
    • Webhook
    • API Error Handling Guide
    • Changelog
    • Authentication
      • Create Token
    • Account Management
      • Get Balance
      • Internal Transfer
      • Get Internal Transfer
    • Merchant Management
      • Create Merchant
      • Get Merchant
      • Initiate Merchant Activation
      • Confirm Merchant Activation
      • Merchant Status Webhook
    • Fiat Payment
      • Fiat Deposit
        • Get Deposit Bank Account
        • Get Fiat Deposit Detail
        • Get Fiat Deposit History
        • Fiat Deposit Webhook
      • Fiat Account Management
        • Get Fiat Account Capabilities
        • Create Fiat Account Request
        • Submit Additional Information for Fiat Account Request
        • Get Fiat Account Application Status
        • Get Bank Accounts
        • Add Bank Account
        • Fiat Account Request Status Webhook
      • Fiat Withdrawal
        • Get Same Name Withdrawal Capabilities
        • Activate Same Name Withdrawal
        • Submit Additional Information for Activating Same Name Withdrawal
        • Activate Same Name Withdrawal Webhook
        • Create Fiat Withdrawal
        • Submit Additional Information for Fiat Withdrawal Request
        • Get Fiat Withdrawal Detail
        • Get Fiat Withdrawal History
        • Fiat Withdrawal Webhook
    • Crypto Payment
      • Crypto Deposit
        • Update Crypto Deposit Travel Rule Info
        • Get Crypto Deposit Wallet
        • Get Crypto Deposit
        • Get Crypto Deposit History
        • Crypto Deposit Webhook
      • Crypto Withdrawal
        • Register Wallet Address
        • Remove Wallet Address
        • Create Crypto Withdrawal
        • Get Wallet Address
        • Get Crypto Withdrawal
        • Get Crypto Withdrawal History
        • Crypto Withdrawal Webhook
      • Crypto Checkout v1.0
        • Create Crypto Checkout
        • Create Crypto Checkout Link
        • Crypto Checkout Wallet Connection
        • Generate POS Payment Request
        • Close Crypto Checkout
        • Get Convertible Cryptos
        • Get Supported Blockchains
        • Get Crypto Checkout
        • Get Crypto Checkout Link
        • Get Crypto Checkout Currencies
        • Crypto Checkout Webhook
      • Crypto Refund v1.0
        • Create Crypto Refund
        • Confirm Crypto Refund
        • Get Crypto Refund
        • Crypto Refund Webhook
      • Crypto Checkout v2.0
        • Create Checkout
        • Create Crypto Quotation
        • Confirm Checkout
        • Order Accept
        • Get Checkout History
        • Get Checkout
        • Close Checkout
        • Get Checkout Acceptable Cryptos
        • Checkout Status Webhook
      • Crypto Refund v2.0
        • Create Crypto Void
        • Create Crypto Risk Refund
        • Create Crypto Refund
        • Close Crypto Refund
        • Get Crypto Refund
        • Get Checkout Refundable Info
        • Refund Status Webhook
    • Conversion
      • Create Quotation
      • Create Conversion
      • Get Quotation
      • Get Conversion
      • Conversion Webhook
    • Statements
      • Create statement
      • Get statement overview
      • Get statement entries
      • Get statement transactions
    • Points
      • Get Points Balance
      • List Points Transactions
      • Get Points Transaction Detail
    • Fee Estimate
      • Fee Estimate
        POST
    • Tool
      • Upload File
      • getTnC
      • Validate Crypto Address
  1. Fee Estimate

Fee Estimate

POST
/v2.0/payment/withdrawal/feeEstimate
Estimate withdrawal fees before submitting a withdrawal. Returns two scenarios: withoutPoints (default fee) and withPoints (using points to offset the fee). The actual fee depends on withdrawal type (first-party vs third-party), currency (fiat vs crypto), and SWIFT charging option.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Body Params application/jsonRequired

Examples
{
  "participantCode": "B0100106",
  "withdrawalType": 1,
  "currency": "USD",
  "amount": "1000.00",
  "amountType": 1
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
cURL
curl --location '/v2.0/payment/withdrawal/feeEstimate' \
--header 'Content-Type: application/json' \
--data '{
  "participantCode": "B0100106",
  "withdrawalType": 1,
  "currency": "USD",
  "amount": "1000.00",
  "amountType": 1
}'

Responses

🟢200
application/json
Estimate successful
Bodyapplication/json

Example
{
    "code": 200,
    "msg": "success",
    "data": {
        "feeCurrency": "USD",
        "originalFee": "15.00",
        "feeRate": "0.015",
        "minFee": "5.00",
        "maxFee": "200.00",
        "minimumWithdrawalAmount": "50.00",
        "currentPointsBalance": "120.00",
        "withPoints": {
            "debitAmount": "1000.00",
            "receivedAmount": "1000.00",
            "actualFee": "0.00",
            "pointsConsumed": "15.00"
        },
        "withoutPoints": {
            "debitAmount": "1000.00",
            "receivedAmount": "985.00",
            "actualFee": "15.00",
            "pointsConsumed": "0"
        }
    }
}
Modified at 2026-07-23 09:11:27
Previous
Get Points Transaction Detail
Next
Upload File
Built with